%define name ikit
%define version 2.2
%define release 2mdk

Summary: Image Processing Kit
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
Source: %{name}-%{version}.tar.bz2
URL: http://www.picturel.com/software.html
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: tcl, tk

%description
Tcl/Tk extensions for detailed processing of large images,
and an extensible image manipulation application.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build


%configure

%make

%install

install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 {ikit,tclikit,wishikit} $RPM_BUILD_ROOT%{_bindir}

install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/ikit
install -m 644 *.tcl $RPM_BUILD_ROOT%{_libdir}/ikit/
install -m 644 *.so $RPM_BUILD_ROOT%{_libdir}



%files
%defattr (-,root,root)
%doc README README.NT README.kit NEWS
%dir %{_libdir}/ikit
%{_libdir}/ikit/*.tcl
%{_libdir}/libikit.so
%{_libdir}/libikitx.so
%{_bindir}/*
#/usr/include/Ik.h

%changelog
* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-2mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- updated to 2.2

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1-3mdk
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1-2mdk
- fix group

* Tue Feb 29 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

